<?php
/**
* モジュールを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IModule
{
	/*
	 * モジュール名
	 */
	public function getModuleName();

	/*
	 * モジュールを初期化する
	 */
	public function init( Config $config );

	/*
	 * モジュールの処理を実行する
	 */
	public function execute( $action, IRequest $request, ProcedureContext $context, Response $response );
}
